%define name pyxmms
%define version 2.07
%define release %mkrel 3

Summary: Python bindings for XMMS
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://people.via.ecp.fr/~flo/2002/PyXMMS/dist/%{name}-%{version}.tar.bz2
Patch: pyxmms-2.07-fix-build.patch
License: GPL
Group: Development/Python
URL: http://www.via.ecp.fr/~flo/	
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libpython-devel
BuildRequires: libxmms-devel
Requires: xmms

%description
This is PyXMMS, a Python interface to XMMS (the X MultiMedia System), an audio
(and video) player running on Unix platforms.
 
PyXMMS is a set of Python bindings for all the xmms_remote_* functions
accessible through the libxmms library (which comes with XMMS), plus a few
useful higher-level functions.

%prep
%setup -q
%patch -p1

%build
python setup.py build
python ./build-documentation.py
%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --prefix=%_prefix --root=%buildroot -O2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog AUTHORS doc/*
%py_platsitedir/*xmms*




%changelog
* Tue Sep 15 2009 Thierry Vignaud <tvignaud@mandriva.com> 2.07-3mdv2010.1
+ Revision: 442554
- rebuild

* Sun Dec 28 2008 Götz Waschk <waschk@mandriva.org> 2.07-2mdv2009.1
+ Revision: 320619
- fix build
- rebuild for new python

  + Adam Williamson <awilliamson@mandriva.org>
    - rebuild with python 2.6
    - new release 2.07

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.06-7mdv2009.0
+ Revision: 259901
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.06-6mdv2009.0
+ Revision: 247747
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 2.06-4mdv2007.0
+ Revision: 88298
- bot rebuild
- Import pyxmms

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 2.06-3mdv2007.1
- Rebuild

* Tue Sep 19 2006 Gtz Waschk <waschk@mandriva.org> 2.06-2mdv2007.0
- rebuild

* Wed Sep 14 2005 Gtz Waschk <waschk@mandriva.org> 2.06-1mdk
- drop patch
- New release 2.06

* Fri May 13 2005 Gtz Waschk <waschk@mandriva.org> 2.04-2mdk
- fix build on x86_64

* Tue Apr 26 2005 Gtz Waschk <waschk@mandriva.org> 2.04-1mdk
- source URL
- new version

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 2.02-2mdk
- Rebuild for new python

* Thu Feb 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.02-1mdk
- add the docs
- drop patch
- new version

